const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const playlist_items = sequelize.define(
    'playlist_items',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

item_type: {
        type: DataTypes.ENUM,
      
      

        values: [

"video",


"track"

        ],

      },

item_key: {
        type: DataTypes.TEXT,
      
      

      },

position: {
        type: DataTypes.INTEGER,
      
      

      },

added_at: {
        type: DataTypes.DATE,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  playlist_items.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity




































//end loop



    db.playlist_items.belongsTo(db.playlists, {
      as: 'playlist',
      foreignKey: {
        name: 'playlistId',
      },
      constraints: false,
    });

    db.playlist_items.belongsTo(db.organizations, {
      as: 'organizations',
      foreignKey: {
        name: 'organizationsId',
      },
      constraints: false,
    });




    db.playlist_items.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.playlist_items.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return playlist_items;
};


